# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "ingris"
version = "0.1.1"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A lightweight image processing library for small indexed images."
readme = "README.md"
keywords = [
    "image",
    "encode",
    "decode",
    "palette",
    "indexed",
]
license = "MIT OR Apache-2.0"

[lib]
name = "ingris"
path = "src/lib.rs"

[[bench]]
name = "ingris_bench"
path = "benches/ingris_bench.rs"
harness = false

[dependencies.miniz_oxide]
version = "0.8.4"
features = ["simd"]

[dev-dependencies.criterion]
version = "0.5"
features = ["html_reports"]

[dev-dependencies.png]
version = "0.17.16"

[profile.dev.package."*"]
opt-level = 3

[profile.test]
opt-level = 2
overflow-checks = false
